//**************************************************************
//*            OpenGLide - Glide to OpenGL Wrapper
//*             http://openglide.sourceforge.net
//*
//*                 OpenGL Extensions Header
//*
//*         OpenGLide is OpenSource under LGPL license
//*              Originaly made by Fabio Barros
//*      Modified by Paul for Glidos (http://www.glidos.net)
//*               Linux version by Simon White
//**************************************************************

#ifndef __GLEXTENSIONS__
#define __GLEXTENSIONS__

#include "glext.h"

void ValidateUserConfig();

extern PFNGLCREATESHADERPROC					glCreateShader;
extern PFNGLDELETESHADERPROC					glDeleteShader;
extern PFNGLSHADERSOURCEPROC					glShaderSource;
extern PFNGLCOMPILESHADERPROC					glCompileShader;
extern PFNGLGETSHADERIVPROC						glGetShaderiv;
extern PFNGLGETSHADERINFOLOGPROC				glGetShaderInfoLog;
extern PFNGLCREATEPROGRAMPROC					glCreateProgram;
extern PFNGLDELETEPROGRAMPROC					glDeleteProgram;
extern PFNGLATTACHSHADERPROC					glAttachShader;
extern PFNGLLINKPROGRAMPROC						glLinkProgram;
extern PFNGLUSEPROGRAMPROC						glUseProgram;
extern PFNGLGETPROGRAMIVPROC					glGetProgramiv;
extern PFNGLGETPROGRAMINFOLOGPROC				glGetProgramInfoLog;

extern PFNGLGENBUFFERSPROC						glGenBuffers;
extern PFNGLDELETEBUFFERSPROC					glDeleteBuffers;
extern PFNGLBINDBUFFERPROC						glBindBuffer;
extern PFNGLBUFFERDATAPROC						glBufferData;
extern PFNGLMAPBUFFERRANGEPROC					glMapBufferRange;
extern PFNGLUNMAPBUFFERPROC						glUnmapBuffer;

extern PFNGLGENVERTEXARRAYSPROC					glGenVertexArrays;
extern PFNGLBINDVERTEXARRAYPROC					glBindVertexArray;
extern PFNGLDELETEVERTEXARRAYSPROC				glDeleteVertexArrays;
extern PFNGLGETUNIFORMLOCATIONPROC				glGetUniformLocation;
extern PFNGLUNIFORM1IPROC						glUniform1i;
extern PFNGLUNIFORM4FVPROC						glUniform4fv;
extern PFNGLUNIFORMMATRIX4FVPROC				glUniformMatrix4fv;
extern PFNGLVERTEXATTRIBPOINTERPROC				glVertexAttribPointer;
extern PFNGLENABLEVERTEXATTRIBARRAYPROC			glEnableVertexAttribArray;

extern PFNGLGENFRAMEBUFFERSPROC					glGenFramebuffers;
extern PFNGLBINDFRAMEBUFFERPROC					glBindFramebuffer;
extern PFNGLDELETEFRAMEBUFFERSPROC				glDeleteFramebuffers;
extern PFNGLCHECKFRAMEBUFFERSTATUSPROC			glCheckFramebufferStatus;
extern PFNGLGENRENDERBUFFERSPROC				glGenRenderbuffers;
extern PFNGLBINDRENDERBUFFERPROC				glBindRenderbuffer;
extern PFNGLDELETERENDERBUFFERSPROC				glDeleteRenderbuffers;
extern PFNGLRENDERBUFFERSTORAGEPROC				glRenderbufferStorage;
extern PFNGLFRAMEBUFFERRENDERBUFFERPROC			glFramebufferRenderbuffer;
extern PFNGLFRAMEBUFFERTEXTUREPROC				glFramebufferTexture;
extern PFNGLDRAWBUFFERSPROC						glDrawBuffers;

extern PFNGLACTIVETEXTUREPROC					glActiveTexture;

extern PFNGLSECONDARYCOLOR3UBVEXTPROC           glSecondaryColor3ubvEXT;
extern PFNGLSECONDARYCOLOR3UBEXTPROC            glSecondaryColor3ubEXT;
extern PFNGLSECONDARYCOLORPOINTEREXTPROC        glSecondaryColorPointerEXT;
extern PFNGLFOGCOORDFEXTPROC                    glFogCoordfEXT;
extern PFNGLFOGCOORDPOINTEREXTPROC              glFogCoordPointerEXT;
extern PFNGLSECONDARYCOLOR3FVEXTPROC            glSecondaryColor3fvEXT;
extern PFNGLSECONDARYCOLOR3FEXTPROC             glSecondaryColor3fEXT;

extern PFNGLCOLORTABLEEXTPROC                   glColorTableEXT;
extern PFNGLCOLORSUBTABLEEXTPROC                glColorSubTableEXT;
extern PFNGLGETCOLORTABLEEXTPROC                glGetColorTableEXT;
extern PFNGLGETCOLORTABLEPARAMETERIVEXTPROC     glGetColorTableParameterivEXT;
extern PFNGLGETCOLORTABLEPARAMETERFVEXTPROC     glGetColorTableParameterfvEXT;

extern PFNGLBLENDFUNCSEPARATEEXTPROC            glBlendFuncSeparateEXT;


void APIENTRY DummyV( const void *a );

#endif
